
#version 150

in float size;
out vec3 out_Color;
in vec4 pos;

uniform float red;
uniform float green;
uniform float blue;
void main(void)
{
	out_Color = (
		max(0.0, 1.0f-pow(2.0*sqrt(
			dot(
				gl_PointCoord.xy-vec2(0.5,0.5),
				gl_PointCoord.xy-vec2(0.5,0.5)
				)
			)
		,13.0))
	)*size*10.0*vec3(red,green,blue);
}
